W3C home > Mailing lists > Public > public-interledger@w3.org > July 2016

Five Bells Wallet Client

From: Peter Thompson <peter.thompson@thehumanchain.com>
Date: Fri, 1 Jul 2016 01:08:53 -0700
To: "public-interledger@w3.org" <public-interledger@w3.org>
Message-ID: <56D0C6E56D22EE44B64E9C6C4EA8C75E016E7E483CF9@EXVMBX016-2.exch016.msoutlookonline.net>
Dear Interledger,

I'm a technical consultant and developer attending the Interledger Workshop next week. In preparation for the workshop, I have been trying to deploy and test the Interledger client examples from Github but have been running into some issues.

I'm running Ubuntu for my development environment and have node v5.12.0 and npm v3.8.6 installed successfully. I've cloned the five-bells-wallet client from Github but when I run 'npm install five-bells-wallet-client --save' from the five-bells-wallet directory I get an NPM error:

'Refusing to install five-bells-wallet-client as a dependency of itself.'

Could you advise as to where I'm going wrong?

Kind Regards,

Pete

Peter Thompson
The Human Chain
Mobile : +44 (0) 7590 991 707
e-mail : peter.thompson@thehumanchain.com<mailto:peter.thompson@thehumanchain.com>
www.thehumanchain.com<http://www.thehumanchain.com/>

The Human Chain Ltd is a company registered in England and Wales with company number 3530984.
Office : Magdalen Centre, The Oxford Science Park, Oxford, OX4 4GA, UK

P Please consider your environmental responsibility before printing this e-mail
www.digitalservicestoolkit.com<http://www.digitalservicestoolkit.com>
[cid:image003.png@01D1D378.30B52850]





image003.png
(image/png attachment: image003.png)

Received on Friday, 1 July 2016 14:23:02 UTC

This archive was generated by hypermail 2.3.1 : Friday, 1 July 2016 14:23:02 UTC